RESET(7)

NAME
RESET - restore the value of a run-time parameter to a default value

SYNOPSIS

RESET variable

RESET ALL

  INPUTS

variable
    The name of a run-time parameter. See SET [set(7)] for a list.

ALL Resets all settable run-time parameters to default values.

DESCRIPTION

RESET restores run-time parameters to their default values. Refer to SET [set(7)] for details. RESET is an alternate spelling for

SET variable TO DEFAULT

The default value is defined as the value that the variable would have had, had no SET ever been issued for it in the current session. The actual source of this value might be a compiled-in default, the postmaster's configuration file or command-line switches, or per-database or per-user default settings. See the Administrator's Guide for details.

See the SET manual page for details on the transaction behavior of RESET.

DIAGNOSTICS

See under the SET [set(7)] command.

EXAMPLES

Set DateStyle to its default value:

RESET DateStyle;

Set geqo to its default value:

RESET GEQO;

COMPATIBILITY

RESET is a PostgreSQL extension.